Package ru.bitel.bgbilling.modules.rscm.server.bean

# Class RSCMServiceManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.rscm.server.bean.RSCMServiceManager

public class RSCMServiceManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
DAO параметров услуг RSCM.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSCMServiceManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteService(int id)`
  Удаление параметра услуги модуля RSCM по коду записи.
  `RSCMService`
  `getService(int id)`
  Получение параметра услуги модуля RSCM по коду записи.
  `RSCMService`
  `getServiceByServiceId(int serviceId)`
  `List<RSCMService>`
  `getServiceList()`
  Вызов getServiceList( Boolean isusing )
  `List<RSCMService>`
  `getServiceList(Boolean isusing)`
  Перечень параметров услуг модуля RSCM.
  `void`
  `updateService(RSCMService rscmService)`
  Добавление/изменение параметра услуги в БД.

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RSCMServiceManager

    public RSCMServiceManager(Connection con, int moduleId)

- ## Method Details

  - ### getServiceList

    public List<RSCMService> getServiceList() throws SQLException
    Вызов getServiceList( Boolean isusing )
    Returns:
      список всех услуг модуля
    Throws:
      `SQLException`

  - ### getServiceList

    public List<RSCMService> getServiceList(Boolean isusing) throws SQLException
    Перечень параметров услуг модуля RSCM.
    Returns:
      список услуг
    Throws:
      `SQLException`

  - ### updateService

    public void updateService(RSCMService rscmService) throws SQLException
    Добавление/изменение параметра услуги в БД. Добавление происходит при getId() invalid input: '<'= 0.
    Parameters:
      `rscmService` -
    Throws:
      `SQLException`

  - ### deleteService

    public void deleteService(int id) throws SQLException
    Удаление параметра услуги модуля RSCM по коду записи.
    Parameters:
      `id` - код записи
    Throws:
      `SQLException`

  - ### getService

    public RSCMService getService(int id) throws SQLException
    Получение параметра услуги модуля RSCM по коду записи.
    Parameters:
      `id` - код записи
    Returns:
    Throws:
      `SQLException`

  - ### getServiceByServiceId

    public RSCMService getServiceByServiceId(int serviceId)